
# Pakku

**Pakku** is a powerful, easy-to-use **Python Package Manager GUI** built with **PyQt5**.
It helps you **install**, **search**, **update**, **remove**, and **manage** Python packages visually --- with modern looks, real-time logs, and virtual environment management support.

No more memorizing pip commands! 📦🚀

---

## ✨ Features

- 📜 **View Installed Packages** with filtering and sorting
- 🔍 **Search PyPI Packages** and install directly
- ⚡ **Update / Remove** any package easily
- 🖥️ **Virtual Environment** management
- 🛠️ **Create / Import** `requirements.txt` files
- 📊 **System Information** display (disk space, site-packages path, etc.)
- 📝 **Persistent Logs** across sessions
- 🎨 **Modern Dark-Themed UI**

---

## 🚀 Installation

First, install Pakku using pip:

```bash
pip install pakku

```

(Or if you're using Kali Linux or similar protected systems: use `pipx` or a virtual environment.)

* * * * *

📟 Usage
--------

After installation, simply run:

```
pakku

```

The GUI will open!

✅ Works inside virtual environments\
✅ Auto-detects missing dependencies and installs them automatically

* * * * *

🔧 Requirements
---------------

-   Python 3.6+

-   PyQt5

-   requests

-   psutil

*(All automatically installed when you install Pakku)*

* * * * *

🛡️ Why Use Pakku?
-------------------

-   Beginner-friendly interface.

-   Handles real-time logs: See installations happening live.

-   Designed for professional and student developers.

-   No more complicated pip command errors.

-   Lightweight: Minimal overhead, fast startup.

* * * * *

💻 Local Development Setup
--------------------------

If you want to run directly from source:

```
git clone https://github.com/AlphaDarkmoon/pakku.git
cd Pakku
pip install -r requirements.txt
python -m pakku.main

```

* * * * *

📜 License
----------

MIT License.\
Feel free to use, modify, and contribute!

* * * * *

🤝 Contributing
---------------

Pull requests are welcome!\
Feel free to open an issue for any bug or suggestion.

* * * * *

📬 Author
---------

- [AlphaDarkmoon](https://github.com/AlphaDarkmoon)

* * * * *

⭐ Star this project on GitHub if you like it!\

